Project

General

Profile

Bug #14076

Installing Ruby 2.3.1 - Ubuntu 17.10

Added by smaziano (Sergio Maziano) over 1 year ago. Updated about 1 year ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
2.3.1
[ruby-core:83649]

Description

When installing ruby 2.3.1 using rbenv I get the error below:

Last 10 log lines:
-- C level backtrace information -------------------------------------------
verconf.h updated
compiling loadpath.c
linking static-library libruby-static.a
ar: `u' modifier ignored since `D' is the default (see `U')
Segmentation fault (core dumped)
uncommon.mk:654: recipe for target 'enc.mk' failed
make: *** [enc.mk] Error 139
make: *** Waiting for unfinished jobs....
verifying static-library libruby-static.a

I hope this helps track it.

History

Updated by nobu (Nobuyoshi Nakada) over 1 year ago

  • Status changed from Open to Rejected

2.3.1 is outdated.

Updated by kubak (Kuba Krzempek) over 1 year ago

The problem stems from default gcc version (it's 7) used on Ubuntu 17.10.
Installing gcc-6 and running the install via
CC=/usr/bin/gcc-6 rbenv install 2.3.1
should help.

I leave the note for someone passing thru this issue with the same problem (as I did today).

Updated by igorzovisk (Igor Vicente) about 1 year ago

kubak (Kuba Krzempek) wrote:

The problem stems from default gcc version (it's 7) used on Ubuntu 17.10.
Installing gcc-6 and running the install via
CC=/usr/bin/gcc-6 rbenv install 2.3.1
should help.

I leave the note for someone passing thru this issue with the same problem (as I did today).

That helped me. Thanks.

Also available in: Atom PDF